Get liquidity rewards
curl --request GET \
--url https://relay.bayse.markets/v1/pm/liquidity-rewardsimport requests
url = "https://relay.bayse.markets/v1/pm/liquidity-rewards"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/liquidity-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"epochId": "f4d15ea1-813a-41dd-a84c-e95648974dd6",
"eventId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"accumulatedShares": 1523.45,
"sampleCount": 12,
"payout": 8.25,
"isPaid": true,
"epochStart": "2026-03-20T00:00:00Z",
"epochEnd": "2026-03-21T00:00:00Z",
"status": "completed"
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 1,
"lastPage": 1
}
}
Market makers
Get liquidity rewards
Get paginated list of the authenticated user’s liquidity reward payouts
GET
/
v1
/
pm
/
liquidity-rewards
Get liquidity rewards
Authentication
Requires API key authentication with read scope.Query parameters
integer
default:"1"
Page number.
integer
default:"20"
Page size (max 100).
Example request
curl "https://relay.bayse.markets/v1/pm/liquidity-rewards?page=1&size=10" \
-H "X-Public-Key: pk_live_abcdef123456"
const response = await fetch(
'https://relay.bayse.markets/v1/pm/liquidity-rewards?page=1&size=10',
{ headers: { 'X-Public-Key': 'pk_live_abcdef123456' } }
);
const data = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/pm/liquidity-rewards',
params={'page': 1, 'size': 10},
headers={'X-Public-Key': 'pk_live_abcdef123456'},
)
data = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/liquidity-rewards", nil)
q := req.URL.Query()
q.Add("page", "1")
q.Add("size", "10")
req.URL.RawQuery = q.Encode()
req.Header.Set("X-Public-Key", "pk_live_abcdef123456")
resp, _ := http.DefaultClient.Do(req)
Response
array
List of liquidity reward records.
Show reward fields
Show reward fields
string
UUID of the reward epoch.
string
UUID of the event.
string
UUID of the market.
number
Total liquidity shares accumulated during the epoch.
integer
Number of sampling intervals the user qualified for.
number
USD payout amount for this epoch.
boolean
Whether the payout has been credited.
string
ISO 8601 timestamp when the epoch started.
string
ISO 8601 timestamp when the epoch ended.
string
Epoch status (
active, completed).object
{
"data": [
{
"epochId": "f4d15ea1-813a-41dd-a84c-e95648974dd6",
"eventId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"accumulatedShares": 1523.45,
"sampleCount": 12,
"payout": 8.25,
"isPaid": true,
"epochStart": "2026-03-20T00:00:00Z",
"epochEnd": "2026-03-21T00:00:00Z",
"status": "completed"
}
],
"pagination": {
"page": 1,
"size": 20,
"totalCount": 1,
"lastPage": 1
}
}
⌘I